Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
POSTCDP OperationsSince 4.5.0SynchronousAuth Required

CreateCdpTask

CreateCdpTask

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The name of the resource.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

    • taskTypeStringRequired

      The type of the CDP task.

    • policyUuidStringRequired

      The UUID of permission policy.

    • backupStorageUuidStringRequired

      The UUID of backup storage.

    • resourceUuidsListRequired

      The backup resource list.

    • backupBandwidthlong

      Optional. The backup rate of a single volume.

    • maxCapacitylong

      Optional. The planning capacity of the CDP task.

    • maxLatencylong

      Optional. The RPO maximum latency of the CDP task.

    • resourceUuidString

      Optional. The UUID of the resource.

    • tagUuidsList

      Optional. The UUID list of the tags.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Succeeded.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryCdpTaskInventoryRequired

    See inventory.

    • uuidStringRequired

      The UUID of the CDP task.

    • nameStringRequired

      The name of the CDP task.

    • descriptionStringRequired

      The detailed description of the CDP task.

    • policyUuidStringRequired

      The UUID of permission policy.

    • backupStorageUuidStringRequired

      The UUID of backup storage.

    • backupBandwidthlongRequired

      The backup rate of a single volume.

    • maxCapacitylongRequired

      The planning capacity of the CDP task.

    • usedCapacitylongRequired

      The used capacity of the CDP task.

    • createDateTimestampRequired

      The time when the CDP task is created.

    • lastOpDateTimestampRequired

      The time when the CDP task is last modified.

    • statusCdpTaskStatusRequired

      See status.

      • CreatedCdpTaskStatusRequired

        The CDP task is created.

      • StartingCdpTaskStatusRequired

        The CDP task is starting.

      • RunningCdpTaskStatusRequired

        The CDP task is running.

      • StoppedCdpTaskStatusRequired

        The CDP task stopped.

      • UnknownCdpTaskStatusRequired

        The state of the CDP task is unknown.

      • FailedCdpTaskStatusRequired

        The CDP task failed.

    • stateCdpTaskStateRequired

      See state.

      • EnabledCdpTaskStateRequired

        The CDP task is enabled.

      • DisabledCdpTaskStateRequired

        The CDP task is disabled.

    • taskTypeCdpTaskTypeRequired

      See taskType.

      • VMCdpTaskTypeRequired

        The VM instance corresponding to the CDP task.

    • resourceRefsListRequired

      See resourceRefs.

      • taskUuidStringRequired

        The UUID of the CDP task.

      • resourceUuidStringRequired

        The UUID of the resource.

      • resourceTypeStringRequired

        The task resource list.

      • createDateTimestampRequired

        The time when the CDP task is created.

      • lastOpDateTimestampRequired

        The time when the CDP task is last modified.

Endpoint

POST/zstack/v1/cdp-backup-storage/task

/zstack/v1/cdp-backup-storage/task

Operation ID

CreateCdpTask

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/cdp-backup-storage/task' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","taskType":"<taskType>","policyUuid":"<policyUuid>","backupStorageUuid":"<backupStorageUuid>","resourceUuids":["<resourceUuids>"],"backupBandwidth":1,"maxCapacity":1,"maxLatency":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "613a2bba58f03c4ba98ec089674cefaa", "name": "My Task", "policyUuid": "ba5ccc11257b396089abd5f00e9bac50", "backupStorageUuid": "64a1daa72c9d3f578646517ba22e8988", "status": "Created", "state": "Enabled", "taskType": "VM", "backupBandwidth": 1.048576E8, "maxCapacity": 1.073741824E11, "usedCapacity": 0.0, "maxLatency": 1.048576E8, "currentLatency": 0.0 } }

Change History

This API has no change history records yet.

View all change history